<?xml version="1.0" encoding="UTF-8"?>
<build-type xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" uuid="2657abde-2e8c-40e2-a068-1b2d6521da47" paused="true" xsi:noNamespaceSchemaLocation="https://www.jetbrains.com/teamcity/schemas/2020.1/project-config.xsd">
  <name>PHPUnit - PGSQL - GitLab Style</name>
  <description />
  <settings>
    <options>
      <option name="artifactRules" value="test/artifacts/**/*" />
    </options>
    <parameters />
    <build-runners>
      <runner id="RUNNER_4" name="Build PHP Image" type="DockerCommand">
        <parameters>
          <param name="command.args" value="--pull" />
          <param name="docker.command.type" value="build" />
          <param name="docker.image.namesAndTags" value="test:build" />
          <param name="docker.push.remove.image" value="true" />
          <param name="dockerImage.platform" value="linux" />
          <param name="dockerfile.path" value="build/Dockerfile" />
          <param name="dockerfile.source" value="PATH" />
          <param name="teamcity.step.mode" value="default" />
        </parameters>
      </runner>
      <runner id="RUNNER_10" name="Pre Docker Compose" type="simpleRunner">
        <parameters>
          <param name="script.content"><![CDATA[if [ -d "artifacts" ]; then rm -Rf artifacts; fi
mkdir artifacts
if [ -d "db_dir" ]; then rm -Rf db_dir; fi]]></param>
          <param name="teamcity.build.workingDir" value="test" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
      <runner id="RUNNER_5" name="Start dependencies" type="DockerCompose">
        <parameters>
          <param name="dockerCompose.file" value="test/moodle/phpunit/docker-compose-pgsql.yml" />
          <param name="teamcity.step.mode" value="default" />
        </parameters>
      </runner>
      <runner id="RUNNER_11" name="Build Image Direct" type="simpleRunner">
        <parameters>
          <param name="plugin.docker.imageId" value="test:build" />
          <param name="plugin.docker.imagePlatform" value="linux" />
          <param name="script.content"><![CDATA[#! /bin/bash

rm config.php
mv config-ci-pgsql.php config.php
php composer.phar install
php admin/tool/phpunit/cli/init.php
vendor/bin/phpunit --log-junit /artifacts/junit.xml
ls /artifacts]]></param>
          <param name="teamcity.build.workingDir" value="moodle" />
          <param name="teamcity.step.mode" value="default" />
          <param name="use.custom.script" value="true" />
        </parameters>
      </runner>
    </build-runners>
    <vcs-settings>
      <vcs-entry-ref root-id="DockerfiedMoodle_GitlabDockerfieldMoodle" />
    </vcs-settings>
    <requirements />
    <build-triggers>
      <build-trigger id="vcsTrigger" type="vcsTrigger">
        <parameters>
          <param name="branchFilter" value="+:*" />
          <param name="enableQueueOptimization" value="true" />
          <param name="quietPeriodMode" value="DO_NOT_USE" />
        </parameters>
      </build-trigger>
    </build-triggers>
    <build-extensions>
      <extension id="BUILD_EXT_3" type="xml-report-plugin">
        <parameters>
          <param name="xmlReportParsing.reportDirs" value="test/artifacts/*.xml" />
          <param name="xmlReportParsing.reportType" value="junit" />
        </parameters>
      </extension>
    </build-extensions>
    <cleanup />
  </settings>
</build-type>

